/*******************************************
* MotorTest2wd.ino
* Initial motor test for 2WD - robot rotates clockwise 
* Left motor driven forward, right backward

* Michael Margolis 24 July 2012, updated comments 3 Nov 2012
********************************************/

//const int LED_PIN = 13;

#include <AFMotor.h>  // adafruit motor shield library (modified my mm)
AF_DCMotor Motor_Left(1, MOTOR12_1KHZ);   // Motor 1 
AF_DCMotor Motor_Right(2, MOTOR12_1KHZ);  // Motor 2

//AF_DCMotor Motor_Left(1, MOTOR12_64KHZ);   // Motor 1 
//AF_DCMotor Motor_Right(2, MOTOR12_64KHZ);  // Motor 2

int currentPower;
int speed = 100; // percent of maximum speed
int pwm;

void setup()
{
  Serial.begin(9600);
//  blinkNumber(8); // open port while flashing. Needed for Leonardo only  
  
  // scale percent into pwm range (0-255)
  pwm= map(speed, 0,100, 0,255);  
  Motor_Left.setSpeed(pwm);
  Motor_Right.setSpeed(pwm);
}

// run over and over
void loop()
{  
  // car moves in circles for 10sec
  Serial.println("rotate cw");
  Motor_Left.run(FORWARD);
  Motor_Right.run(BACKWARD);
  delay(10000); // run for 10sec
  Serial.println("pause...");
  Motor_Left.run(RELEASE);  // stop the motors
  Motor_Right.run(RELEASE);
  delay(5000); // stop for 5sec

  // move forward from 0 to 255 (max speed) 
  Serial.println("forward with speed 0 to 255");  
  for (currentPower = 0; currentPower <= 255; currentPower += 1) {
    Motor_Left.setSpeed(currentPower);
    Motor_Right.setSpeed(currentPower);
    Motor_Left.run(FORWARD);
    Motor_Right.run(FORWARD);
    delay(100); // run for 100ms
  }

  Serial.println("pause...");
  delay(10000); // wait for 10sec

  // move backwards from max speed (100%) down to 0 
  Serial.println("backward with speed 255 to 0"); 
  for (currentPower = 255; currentPower > 0; currentPower -= 1) {
    Motor_Left.setSpeed(currentPower);
    Motor_Right.setSpeed(currentPower);
    Motor_Left.run(FORWARD);
    Motor_Right.run(BACKWARD);
    delay(100); // run for 100ms
  }  

  // stop the motors
  Serial.println("pause");
  Motor_Left.run(RELEASE);
  Motor_Right.run(RELEASE);
  Motor_Left.setSpeed(255);
  Motor_Right.setSpeed(255);
  delay(5000); // stop for 5 seconds
}

// function to indicate numbers by flashing the built-in LED
/*
void blinkNumber( byte number) {
   pinMode(LED_PIN, OUTPUT); // enable the LED pin for output
   while(number--) {
     digitalWrite(LED_PIN, HIGH); delay(100);
     digitalWrite(LED_PIN, LOW);  delay(400);
   }
}
*/
